problème driver iwlwifi et wpasupplicant

Le
mahashakti89
Bonjour,


Avec le nouveau noyau 2.6.24 iwlwifi a remplacé le pilote ipw3945 ,
mais je rencontre maintenant des problèmes avec wpasupplicant qui me
dit des tas de gros mots au démarrage et refuse de fonctionner, je suis
obligé de faire la conf' à la main avec iwconfig pour pouvoir me
connecter. Certes il reste toujours le cable pour se connecter mais .
j'aime bien quand ça marche.

Le message d'erreur est le suivant :

ioctl[SIOCSIWGENIE]: Operation not supported
ioctl[SIOCSIWAUTH]: Operation not supported
WEXT auth param 0 value 0x1 - ioctl[SIOCSIWAUTH]: Operation not
supported

J'ai trouvé un fil de discussion sur une liste Debian anglaise.
Mais ça n'a rien donné.
Avez vous rencontré ce type de problème avec iwlwifi et wpasuppli=
cant ?
Est-ce une erreur de jeunesse du pilote ?

Merci de votre retour d'expérience.

mahashakti89
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Daniel Huhardeaux
Le #9704611
mahashakti89 a écrit :
Bonjour,


Avec le nouveau noyau 2.6.24 iwlwifi a remplacé le pilote ipw3945 ,
[...]


Je n'ai jamais réussi à faire fonctionner iwlwifi, c'est pourquoi je
reste en 2.6.23
--
Daniel

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Sylvain Sauvage
Le #9704601
Daniel Huhardeaux, mardi 4 mars 2008, 20:56:34 CET

mahashakti89 a écrit :
> Bonjour,
>
>
> Avec le nouveau noyau 2.6.24 iwlwifi a remplacé le pilote ipw3945 ,
> [...]
Je n'ai jamais réussi à faire fonctionner iwlwifi, c'est pourqu oi je
reste en 2.6.23



Aucun problème (3945 et 4965).

En revanche, j’en ai eu entre le 2.6.23 et un routeur netgear⠀¦
Mais pas les problèmes de muhashakti89.

Sid ou Lenny ? version de wpasupplicant, des firmwares…

--
Sylvain Sauvage
Daniel Huhardeaux
Le #9704591
Sylvain Sauvage a écrit :
Daniel Huhardeaux, mardi 4 mars 2008, 20:56:34 CET

mahashakti89 a écrit :

Bonjour,


Avec le nouveau noyau 2.6.24 iwlwifi a remplacé le pilote ipw3945 ,
[...]



Je n'ai jamais réussi à faire fonctionner iwlwifi, c'est pourquoi je
reste en 2.6.23




Aucun problème (3945 et 4965).

En revanche, j’en ai eu entre le 2.6.23 et un routeur netgear…
Mais pas les problèmes de muhashakti89.

Sid ou Lenny ? version de wpasupplicant, des firmwares…



Sid, même en wep ou en open. Il y a un bug ouvert #463751 En fait les PA
sont repérés -iwconfig wlan0 list ou iwconfig essid <essid>- sont ok,
mais impossible de se connecter. Idem avec un 2.6.24-trunk de
experimental. Pas encore eu le temps de tester 2.6.25-rc3.

--
Daniel

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Sylvain Sauvage
Le #9704581
Daniel Huhardeaux, mardi 4 mars 2008, 21:21:48 CET

Sylvain Sauvage a écrit :
[…]
> Sid ou Lenny ? version de wpasupplicant, des firmwares…

Sid, même en wep ou en open.



Je demandais plutôt à Mahashakti89 :o)

Il y a un bug ouvert #463751 En fait les PA
sont repérés -iwconfig wlan0 list ou iwconfig essid <essid>- so nt ok,
mais impossible de se connecter. Idem avec un 2.6.24-trunk de
experimental. Pas encore eu le temps de tester 2.6.25-rc3.



J’avais déjà vu ce bogue (ressemblant à celui que j’avais avec
le 2.6.23) mais Mahashakti89 a des messages d’erreur, lui.
C’est pas que ton problème ne nous intéresse pas, hein, c’est
juste que ça ne semble pas être le même que celui de
l’initiateur de ce fil.

--
Sylvain Sauvage
mahashakti89
Le #9704561
Le Tue, 4 Mar 2008 21:34:40 +0100,
Sylvain Sauvage
Daniel Huhardeaux, mardi 4 mars 2008, 21:21:48 CET
>
> Sylvain Sauvage a écrit :
>[…]
> > Sid ou Lenny ? version de wpasupplicant, des firmwares…



Je suis en Sid .... donc dernière version de wpa supplicant

21:41 ~% apt-cache policy wpasupplicant
wpasupplicant:
Installé : 0.6.2+git20080206.g8c0dad4-1
Candidat : 0.6.2+git20080206.g8c0dad4-1
Table de version :0.6.2+git20080206.g8c0dad4-1 0
997 http://ftp.fr.debian.org sid/main Packages

le firmware est le firmware disponible en Sid

En fait comme précisé je peux me connecter à la main quoique le
comportement soit un peu erratique :

iwconfig wlan0 essid toto
iwconfig wlan0 key <lacléquivabien>
et ainsi de suite ..

J'ai aussi essayé avec wpagui, et ça a marché mais je ne sai s trop
comment.

Je pense qu'il faut attendre la sortie de 2.6.25 ... j'ai regardé
ou plutôt survolé le changelog de 2.6.25-rc3 , il y avait l'air d 'avoir
de la correction de bugs dans l'air.

Merci à tous

mahashakti89

>
> Sid, même en wep ou en open.

Je demandais plutôt à Mahashakti89 :o)

> Il y a un bug ouvert #463751 En fait les PA
> sont repérés -iwconfig wlan0 list ou iwconfig essid <essid>- sont
> ok, mais impossible de se connecter. Idem avec un 2.6.24-trunk de
> experimental. Pas encore eu le temps de tester 2.6.25-rc3.

J’avais déjà vu ce bogue (ressemblant à celui qu e j’avais avec
le 2.6.23) mais Mahashakti89 a des messages d’erreur, lui.
C’est pas que ton problème ne nous intéresse pas, hei n, c’est
juste que ça ne semble pas être le même que celui de
l’initiateur de ce fil.



Steve
Le #9704501
Salut la liste,

Même problème et message d'erreur que makashakti. Je dois lancer la
connexion à la main. Pas cherché plus loin pour le moment : SID, c'est
pour s'amuser quand j'ai du temps à perdre..;-)

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Publicité
Poster une réponse
Anonyme